## net.sf.saxon.event
Class SequenceReceiver

    java.lang.Object
      |
      +--net.sf.saxon.event.SequenceReceiver

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

Direct Known Subclasses:
  ComplexContentOutputter, SequenceOutputter, TreeReceiver

public abstract class SequenceReceiver
extends java.lang.Object
implements Receiver

SequenceReceiver: this extension of the Receiver interface is used when processing a sequence constructor. It differs from the Receiver in allowing items (atomic values or nodes) to be added to the sequence, not just tree-building events.

Field Summary
`protected LocationProvider` `locator`
`protected boolean` `previousAtomic`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceReceiver()`

Method Summary
`abstract void` `append(Item item, int locationId)` Output an item (atomic value or node) to the sequence
`LocationProvider` `getDocumentLocator()` Get the LocationProvider previously set using setDocumentLocator
`java.lang.String` `getSystemId()`
`void` `open()` Start the output process
`void` `setDocumentLocator(LocationProvider locator)` Set location provider, to identify position in the source document or stylesheet.
`void` `setSystemId(java.lang.String systemId)` Set the System ID of the destination tree
`void` `setUnparsedEntity(java.lang.String name, java.lang.String systemId, java.lang.String publicId)` Notify an unparsed entity URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.event.Receiver
`attribute, characters, close, comment, endDocument, endElement, getConfiguration, namespace, processingInstruction, setConfiguration, startContent, startDocument, startElement`

Field Detail

### previousAtomic

    protected boolean previousAtomic

### locator

    protected LocationProvider locator

Constructor Detail

### SequenceReceiver

    public SequenceReceiver()

Method Detail

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Description copied from interface: `Receiver`
  Set the System ID of the destination tree

  Specified by:
    `setSystemId` in interface `Receiver`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.Result`

### setDocumentLocator

    public void setDocumentLocator(LocationProvider locator)

  Description copied from interface: `Receiver`
  Set location provider, to identify position in the source document or stylesheet. This method may only be called before the startDocument() event. However, the locator returned by the location provider may be different on different occasions. If a location provider is supplied, it may be used by the Receiver to obtain information about the location of the current event in a source XML document.

  Specified by:
    `setDocumentLocator` in interface `Receiver`

### getDocumentLocator

    public LocationProvider getDocumentLocator()

  Description copied from interface: `Receiver`
  Get the LocationProvider previously set using setDocumentLocator

  Specified by:
    `getDocumentLocator` in interface `Receiver`

### setUnparsedEntity

    public void setUnparsedEntity(java.lang.String name,
                                  java.lang.String systemId,
                                  java.lang.String publicId)
                           throws XPathException

  Description copied from interface: `Receiver`
  Notify an unparsed entity URI.

  Specified by:
    `setUnparsedEntity` in interface `Receiver`
  Parameters:
    `name` - The name of the unparsed entity
    `systemId` - The system identifier of the unparsed entity
    `publicId` - The public identifier of the unparsed entity
    `XPathException`

### open

    public void open()
              throws XPathException

  Start the output process

  Specified by:
    `open` in interface `Receiver`
    `XPathException`

### append

    public abstract void append(Item item,
                                int locationId)
                         throws XPathException

  Output an item (atomic value or node) to the sequence

    `XPathException`